/*
 * De Bank en de BankRekening klassen voor de oefening op indexers
 * 
 * (C) Beta VZW, 2009
 */
using System;
using System.Collections.Generic;
using System.Text;

namespace oplindexer
{
    /// <summary>
    /// Een bank kan maximaal 10 rekeningen bijhoude
    /// </summary>
    public class Bank
    {
        private Bankrekening[] rekeningen = new Bankrekening[10];
        private int aantalRekeningen = 0;
        /// <summary>
        /// Voeg een nieuwe bankrekening toe
        /// </summary>
        /// <param name="rek">De bankrekening die moet worden toegevoegd</param>
        public void AddRekening(Bankrekening rek)
        {
            rekeningen[aantalRekeningen] = rek;
            aantalRekeningen++;
        }
        /// <summary>
        /// getter om een bankrekening terug te geven
        /// </summary>
        /// <param name="reknr">Het rekeningnummer van de Bankrekening</param>
        /// <returns>De bankrekening of null wanneer het rekeningnummer niet bestaat</returns>
        public Bankrekening this[String reknr]
        {
            get
            {
                return ZoekRekening(reknr);
            }
        }
        private Bankrekening ZoekRekening(String reknr)
        {
            Bankrekening rek = null;
            for (int i = 0; i < aantalRekeningen; i++)
            {
                if (rekeningen[i].Rekeningnr == reknr)
                {
                    rek = rekeningen[i];
                    break;
                }
            }
            return rek;
        }
    }
    /// <summary>
    /// Klasse die een Bankrekning bevat
    /// </summary>
    public class Bankrekening
    {
        private String rekeningnr;
        /// <summary>
        /// getter en setter voor het rekeningnummer
        /// </summary>
        public String Rekeningnr
        {
            get { return rekeningnr; }
            set { rekeningnr = value; }
        }
        private decimal saldo;
        /// <summary>
        /// getter en setter voor het saldo
        /// </summary>
        public decimal Saldo
        {
            get { return saldo; }
            set { saldo = value; }
        }
    }
}
